Opened 11 months ago

Closed 7 months ago

Last modified 3 months ago

#2285 closed Task (fixed)

Optimization of the communications in BDY

Reported by: girrmann Owned by: girrmann
Priority: low Milestone: IMMERSE 2019
Component: BDY Version: trunk
Severity: minor Keywords:
Cc: Review: passed
MP ready?: no
Progress: done

Description (last modified by girrmann)

Summary

Action HPC-13_IRRMANN_BDY_optimization
PI(S) Gaston Irrmann, Sebastien Masson
Digest Optimization of the communications in BDY
Dependencies
Branch NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization
Previewer(s)
Reviewer(s)
Wiki wiki:2019WP/...

Abstract

Reduce MPI communications as much as possible in BDY routines, do some cleaning as well…

Description

Take each BDY routine and check if communications can be removed

Implementation
  • Step 0 : Improve corner treatment in neumann (bdy_nmn) and bdy_ssh, this first modifications change the results.
  • Step 1 : Extend local BDY to the full local domain : change change bdy definition in bdyini.F90 and add CYCLE instruction in the routines to avoid out of bounds access. Does not change the result.
  • Step 2 : Remove unneeded communications once bdy is extended over the full local domain. Does not change the result.

Commit History (42)

ChangesetAuthorTimeChangeLog
11525smasson2019-09-10T16:18:42+02:00

dev_r10984_HPC-13 : merge with trunk@,11524 see #2285

11512smasson2019-09-09T12:05:20+02:00

dev_r10984_HPC-13 : merge with trunk@11511, see #2285

11398smasson2019-08-02T18:43:29+02:00

dev_r10984_HPC-13 : add nammpp parameter ln_listonly, see #2285

11391smasson2019-08-02T11:03:40+02:00

dev_r10984_HPC-13 : flowri compiling without key_iomput, see #2285

11389smasson2019-08-02T09:51:41+02:00

dev_r10984_HPC-13 : add timing of each time step, see #2285

11373smasson2019-07-30T17:33:23+02:00

dev_r10984_HPC-13 : timing working with more than 9999 cores, see #2285

11364smasson2019-07-29T16:54:28+02:00

dev_r10984_HPC-13 : update BENCH to be more robust, see #2285

11359smasson2019-07-26T18:29:57+02:00

dev_r10984_HPC-13 : add new machine and update BENCH scripts, see #2285

11358smasson2019-07-26T16:10:19+02:00

dev_r10984_HPC-13 : supress output files with nn_stock and nn_write = -1, see #2285

11353smasson2019-07-25T16:55:58+02:00

dev_r10984_HPC-13 : merge with trunk@11352, see #2285

11320smasson2019-07-22T14:52:29+02:00

dev_r10984_HPC-13 : add missing if(lwp) in [11317], see #2307 and #2285

11319girrmann2019-07-22T12:27:25+02:00

dev_r10984_HPC-13 : bugfix for ENT scheme, see #2285

11317smasson2019-07-22T10:32:59+02:00

dev_r10984_HPC-13 : improve error handling, see #2307 and #2285

11268smasson2019-07-15T15:20:49+02:00

dev_r10984_HPC-13 : introduce a logical to force vertical interpolation if the number of vertical levels in bdy dta == jpk, see #2285

11267smasson2019-07-15T12:58:45+02:00

dev_r10984_HPC-13 : cleanup the use of freqh as REAL in fldread (done old commit [4144]), see #2285

11265smasson2019-07-12T16:02:06+02:00

dev_r10984_HPC-13 : bugfix for AGRIF, see #2285

11263smasson2019-07-12T12:47:53+02:00

dev_r10984_HPC-13 : merge with trunk@11242, see #2285

11262girrmann2019-07-12T11:40:17+02:00

dev_r10984_HPC-13 : small modification of lbc_lnk, see #2285

11261girrmann2019-07-12T10:28:39+02:00

dev_r10984_HPC-13 : bugfix, see #2285

11258smasson2019-07-11T18:21:02+02:00

dev_r10984_HPC-13 : minor bugfix and cleaning, see #2285

11245girrmann2019-07-10T17:27:04+02:00

dev_r10984_HPC-13 : bugfix following [11241], see #2285

11241girrmann2019-07-10T11:46:48+02:00

dev_r10984_HPC-13 : regroup communications in dyn_spg_ts, does not change the result, see #2285

11240girrmann2019-07-10T11:08:58+02:00

dev_r10984_HPC-13 : remove a communication in dyn_spg_ts, see #2285

11234girrmann2019-07-09T18:09:16+02:00

dev_r10984_HPC-13 : cleaning of dyn_spg_ts routine, does not change the results, see #2285

11224smasson2019-07-08T11:19:12+02:00

dev_r10984_HPC-13 : bugfix to work will all configurations, see #2285

11223smasson2019-07-05T20:53:14+02:00

dev_r10984_HPC-13 : cleaning of rewriting of bdydta, see #2285

11210girrmann2019-07-03T12:08:42+02:00

dev_r10984_HPC-13 : remove some communications in bdy treatment in case nn_hls > 1, see #2285

11195girrmann2019-06-28T12:59:32+02:00

dev_r10984_HPC-13 : update of trc_bdy following [11191], merge of lbc_lnk and lbc_bdy_lnk in a single lbc_lnk routine, see #2285

11194smasson2019-06-27T16:51:16+02:00

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: bugfix following [11192], see #2285

11193smasson2019-06-27T12:47:43+02:00

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: missing delete of lbc_lnk_generic.h90 in [11192], see #2285

11192smasson2019-06-27T12:40:32+02:00

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: simpler mpp_lnk_generic.h90 supress lbc_lnk_generic.h90, see #2285

11191girrmann2019-06-27T10:14:39+02:00

dev_r10984_HPC-13 : bdy treatment can now handel a rim 0 and a rim 1, results are unchanged when only rim 1 is provided, see #2288 and #2285

11183girrmann2019-06-26T16:09:28+02:00

dev_r10984_HPC-13 : improvement of neumann boundary condition, changes the results, see #2285

11149girrmann2019-06-20T12:48:17+02:00

dev_r10984_HPC-13 : minor modification of flather, the change in results is due to the non associativity of addition, see #2285

11074girrmann2019-06-04T17:46:46+02:00

dev_r10984_HPC-13 : bug fix and cleaning of flather, see #2287 and #2285

11071girrmann2019-06-04T14:58:06+02:00

dev_r10984_HPC-13 : step 2, remove unneeded communications, see #2285

11067girrmann2019-05-29T11:34:32+02:00

dev_r10984_HPC-13 : new implementation of lbc_bdy_lnk in prevision of step 2, regroup communications, see #2285

11059girrmann2019-05-27T13:05:25+02:00

dev_r10984_HPC-13 : simplify bdyini.F90 following extension of bdy detection, see #2285

11056girrmann2019-05-24T15:52:26+02:00

dev_r10984_HPC-13 : Bugfix following [11048], see #2285

11049girrmann2019-05-24T10:22:47+02:00

dev_r10984_HPC-13 : CYCLE instruction is not systematic anymore, computation is done on the halo whenever possible and overwritten by lbc_bdy instruction, see #2285

11044girrmann2019-05-23T17:13:38+02:00

dev_r10984_HPC-13 : missing part of [11024], see #2285

11024girrmann2019-05-21T16:07:24+02:00

dev_r10984_HPC-13 : imrpove bdy treatment ssh and neumann, see #2285

Change History (59)

comment:1 Changed 11 months ago by girrmann

In 11024:

dev_r10984_HPC-13 : imrpove bdy treatment ssh and neumann, see #2285

comment:2 Changed 11 months ago by girrmann

  • Status changed from new to assigned

improve bdy treatment ssh and neumann, see [11024]
Warning : this modification changes the results

comment:3 Changed 11 months ago by girrmann

[11042] : merge with trunk at revision [11041], changes the result (bdyice)

comment:4 Changed 11 months ago by girrmann

In 11044:

dev_r10984_HPC-13 : missing part of [11024], see #2285

comment:5 Changed 11 months ago by girrmann

Warning [11044] changes the result

comment:6 Changed 11 months ago by girrmann

  • Description modified (diff)

comment:7 Changed 10 months ago by girrmann

dev_r10984_HPC-13 : Step 1, boundary is now detected all over the local domain, this does not change the result. Improve bdy treatment for bdy_rnf in bdytra.F90, this changes the result when keyword runoff is specified in namelist, see #2285

comment:8 Changed 10 months ago by girrmann

In 11049:

dev_r10984_HPC-13 : CYCLE instruction is not systematic anymore, computation is done on the halo whenever possible and overwritten by lbc_bdy instruction, see #2285

comment:9 Changed 10 months ago by girrmann

In 11056:

dev_r10984_HPC-13 : Bugfix following [11048], see #2285

comment:10 Changed 10 months ago by girrmann

In 11059:

dev_r10984_HPC-13 : simplify bdyini.F90 following extension of bdy detection, see #2285

comment:11 Changed 10 months ago by girrmann

In 11067:

dev_r10984_HPC-13 : new implementation of lbc_bdy_lnk in prevision of step 2, regroup communications, see #2285

comment:12 Changed 10 months ago by girrmann

In 11071:

dev_r10984_HPC-13 : step 2, remove unneeded communications, see #2285

comment:13 Changed 10 months ago by girrmann

In 11074:

dev_r10984_HPC-13 : bug fix and cleaning of flather, see #2287 and #2285

comment:14 Changed 10 months ago by girrmann

In 11149:

dev_r10984_HPC-13 : minor modification of flather, the change in results is due to the non associativity of addition, see #2285

comment:15 Changed 9 months ago by girrmann

In 11183:

dev_r10984_HPC-13 : improvement of neumann boundary condition, changes the results, see #2285

comment:16 Changed 9 months ago by girrmann

In 11191:

dev_r10984_HPC-13 : bdy treatment can now handel a rim 0 and a rim 1, results are unchanged when only rim 1 is provided, see #2288 and #2285

comment:17 Changed 9 months ago by smasson

In 11192:

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: simpler mpp_lnk_generic.h90 supress lbc_lnk_generic.h90, see #2285

Last edited 9 months ago by smasson (previous) (diff)

comment:18 Changed 9 months ago by smasson

In 11193:

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: missing delete of lbc_lnk_generic.h90 in [11192], see #2285

comment:19 Changed 9 months ago by smasson

In 11194:

dev_r10984_HPC-13 : reorganization of lbclnk, part 1: bugfix following [11192], see #2285

comment:20 Changed 9 months ago by girrmann

In 11195:

dev_r10984_HPC-13 : update of trc_bdy following [11191], merge of lbc_lnk and lbc_bdy_lnk in a single lbc_lnk routine, see #2285

comment:21 Changed 9 months ago by girrmann

In 11210:

dev_r10984_HPC-13 : remove some communications in bdy treatment in case nn_hls > 1, see #2285

comment:22 Changed 9 months ago by smasson

In 11223:

dev_r10984_HPC-13 : cleaning of rewriting of bdydta, see #2285

comment:23 follow-up: Changed 9 months ago by smasson

[11223] do not change the results
but nb_jpk_bdy has been removed from the namelist (it is now directly defined from the variable dimensions in the netcdf file)

comment:24 Changed 9 months ago by smasson

In 11224:

dev_r10984_HPC-13 : bugfix to work will all configurations, see #2285

comment:25 Changed 9 months ago by girrmann

In 11234:

dev_r10984_HPC-13 : cleaning of dyn_spg_ts routine, does not change the results, see #2285

comment:26 Changed 9 months ago by girrmann

In 11240:

dev_r10984_HPC-13 : remove a communication in dyn_spg_ts, see #2285

comment:27 Changed 9 months ago by girrmann

In 11241:

dev_r10984_HPC-13 : regroup communications in dyn_spg_ts, does not change the result, see #2285

comment:28 Changed 9 months ago by girrmann

In 11245:

dev_r10984_HPC-13 : bugfix following [11241], see #2285

comment:29 Changed 9 months ago by smasson

In 11258:

dev_r10984_HPC-13 : minor bugfix and cleaning, see #2285

comment:30 Changed 9 months ago by girrmann

In 11261:

dev_r10984_HPC-13 : bugfix, see #2285

comment:31 Changed 9 months ago by girrmann

In 11262:

dev_r10984_HPC-13 : small modification of lbc_lnk, see #2285

comment:32 Changed 9 months ago by smasson

In 11263:

dev_r10984_HPC-13 : merge with trunk@11242, see #2285

comment:33 Changed 9 months ago by smasson

In 11265:

dev_r10984_HPC-13 : bugfix for AGRIF, see #2285

comment:34 Changed 9 months ago by smasson

drg_init subroutine was already existing zdfdrg.F90.
AGRIF was lost with these 2 subroutines having the same name and was no more able to compile zdfdrg.
I don't understand how dynspg_ts was able to compile as if was including a private subroutine called drg_init and was using the module zdfdrg that was aslo including a public subroutine called drg_init…
Bugfix was simple, I just changed the name of drg_init in dynspg_ts.

comment:35 Changed 9 months ago by smasson

Results of the sette tests (old version: NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization@11263) performed on CURIE (without the compilation option -xCORE-AVX512 and with nn_sponge_len = 1 in agrif_oce.F90 (see bellow).
The failed tests are exactly the same as NEMO/trunk@11258

run.stat files of this branch are exactly the same as the ones of NEMO/trunk@11258 except for AMM12 and SPITZ12, which is expected because of the changes we made in BDY (see previous comments of this ticket.

cfgs/AGRIF_DEMO_ST/LONG/run.stat same as trunk@11258
cfgs/AMM12_ST/LONG/run.stat same as trunk@11258
cfgs/AMM12_ST/LONG/run.stat /ccc/scratch/cont005/ra0542/massons/rev11258_trunk/cfgs/AMM12_ST/LONG/run.stat differ: byte 194, line 2
cfgs/GYRE_PISCES_ST/LONG/run.stat same as trunk@11258
cfgs/ORCA2_ICE_PISCES_ST/LONG/run.stat same as trunk@11258
cfgs/ORCA2_SAS_ICE_ST/LONG/run.stat same as trunk@11258
cfgs/SPITZ12_ST/LONG/run.stat same as trunk@11258
cfgs/SPITZ12_ST/LONG/run.stat /ccc/scratch/cont005/ra0542/massons/rev11258_trunk/cfgs/SPITZ12_ST/LONG/run.stat differ: byte 47, line 1
tests/LOCK_EXCHANGE_ST/LONG/run.stat same as trunk@11258
tests/OVERFLOW_ST/LONG/run.stat same as trunk@11258
tests/VORTEX_ST/LONG/run.stat same as trunk@11258
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/dev_bdylast/sette/../.svn
SETTE validation report : utils @ r10779  ( last change @ r11263 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20190712
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20190712
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20190712
WORCA2_ICE_PISCES_ST         tracer.stat restartability  FAILED :  20190712
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20190712
WAMM12_ST                    run.stat    restartability  passed :  20190712
WORCA2_SAS_ICE_ST            run.stat    restartability  FAILED :  20190712
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20190712
WSPITZ12_ST                  run.stat    restartability  passed :  20190712
WISOMIP_ST                   directory is MISSING               :  20190712
WOVERFLOW_ST                 run.stat    restartability  passed :  20190712
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20190712
WVORTEX_ST                   run.stat    restartability  passed :  20190712
WICE_AGRIF_ST                directory is MISSING               :  20190712

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20190712
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20190712
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20190712
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20190712
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20190712
WAMM12_ST                    run.stat    reproducibility passed :  20190712
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20190712
WORCA2_ICE_OBS_ST            directory is MISSING               :  20190712
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20190712
WSPITZ12_ST                  run.stat    reproducibility passed :  20190712
WISOMIP_ST                   directory is MISSING               :  20190712
WVORTEX_ST                   run.stat    reproducibility passed :  20190712
WICE_AGRIF_ST                directory is MISSING               :  20190712

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  20190712 20190712

!!---------------2nd pass------------------!!

Last edited 9 months ago by smasson (previous) (diff)

comment:36 in reply to: ↑ 23 Changed 9 months ago by jamesharle

Replying to smasson:

[11223] do not change the results
but nb_jpk_bdy has been removed from the namelist (it is now directly defined from the variable dimensions in the netcdf file)

The original (and possibly a little lazy) reason for putting nb_jpk_bdy in the namelist was that I was often running a 75 level hybrid sigma/zps run using a 75 z-level run for my lateral boundary conditions - with the re-write you now have:

IF( ipkb /= ipk ) THEN

do interpolation

at line 738 in fldread.F90. So in many of my simulations the interpolation of the lateral boundary conditions, whilst needed, will be skipped.

comment:37 Changed 9 months ago by smasson

In 11267:

dev_r10984_HPC-13 : cleanup the use of freqh as REAL in fldread (done old commit [4144]), see #2285

comment:38 Changed 9 months ago by smasson

In 11268:

dev_r10984_HPC-13 : introduce a logical to force vertical interpolation if the number of vertical levels in bdy dta == jpk, see #2285

comment:39 Changed 9 months ago by smasson

[11268] was done in response to the comment of jamesharle a few lines above.
We did agree to use a logical (ln_zinterp) instead of the old variable nb_jpk_bdy, which name/use was not really explicit.
ln_zinterp has been added to nambdy_dta instead of nambdy as it is part of each bdy data definition.

comment:40 Changed 9 months ago by smasson

In 11317:

dev_r10984_HPC-13 : improve error handling, see #2307 and #2285

comment:41 Changed 9 months ago by smasson

see #2307 for all informations related to [11317]

comment:42 Changed 9 months ago by girrmann

In 11319:

dev_r10984_HPC-13 : bugfix for ENT scheme, see #2285

comment:43 Changed 9 months ago by smasson

In 11320:

dev_r10984_HPC-13 : add missing if(lwp) in [11317], see #2307 and #2285

comment:44 Changed 8 months ago by smasson

Results of sette tests for

NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization@11325

X64_IRENE

without the compilation option -xCORE-AVX512 and with nn_sponge_len = 1 in agrif_oce.F90
same */*_ST/*/run.stat files as in NEMO/trunk@11258 except for AMM12 and SPITZ12 which is expected
same */*_ST/*/run.stat files as in NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization@11319

/ccc/scratch/cont005/ra0542/massons/rev11325_dev_bdy/sette/../.svn
SETTE validation report : utils @ r10779  ( last change @ r11325 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20190723
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20190723
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20190723
WORCA2_ICE_PISCES_ST         tracer.stat restartability  FAILED :  20190723
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20190723
WAMM12_ST                    run.stat    restartability  passed :  20190723
WORCA2_SAS_ICE_ST            run.stat    restartability  FAILED :  20190723
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20190723
WSPITZ12_ST                  run.stat    restartability  passed :  20190723
WISOMIP_ST                   run.stat    restartability  passed :  20190723
WOVERFLOW_ST                 run.stat    restartability  passed :  20190723
WLOCK_EXCHANGE_ST            incomplete test
WLOCK_EXCHANGE_ST            ocean.output is MISSING            :  20190723
WVORTEX_ST                   run.stat    restartability  passed :  20190723
WICE_AGRIF_ST                run.stat    restartability  passed :  20190723

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20190723
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20190723
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20190723
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20190723
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20190723
WAMM12_ST                    run.stat    reproducibility passed :  20190723
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20190723
WORCA2_ICE_OBS_ST            directory is MISSING               :  20190723
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20190723
WSPITZ12_ST                  run.stat    reproducibility passed :  20190723
WISOMIP_ST                   run.stat    reproducibility passed :  20190723
WVORTEX_ST                   run.stat    reproducibility passed :  20190723
WICE_AGRIF_ST                run.stat    reproducibility passed :  20190723

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  20190723 20190723

comment:45 Changed 8 months ago by smasson

small bugfixes in [11352]

comment:46 Changed 8 months ago by smasson

In 11353:

dev_r10984_HPC-13 : merge with trunk@11352, see #2285

comment:47 Changed 8 months ago by smasson

small bugfixes in [11356]

comment:48 Changed 8 months ago by smasson

In 11358:

dev_r10984_HPC-13 : supress output files with nn_stock and nn_write = -1, see #2285

comment:49 Changed 8 months ago by smasson

In 11359:

dev_r10984_HPC-13 : add new machine and update BENCH scripts, see #2285

comment:50 Changed 8 months ago by smasson

In 11364:

dev_r10984_HPC-13 : update BENCH to be more robust, see #2285

comment:51 Changed 8 months ago by smasson

In 11373:

dev_r10984_HPC-13 : timing working with more than 9999 cores, see #2285

comment:52 Changed 8 months ago by smasson

In 11389:

dev_r10984_HPC-13 : add timing of each time step, see #2285

comment:53 Changed 8 months ago by smasson

In 11391:

dev_r10984_HPC-13 : flowri compiling without key_iomput, see #2285

comment:54 Changed 8 months ago by smasson

In 11398:

dev_r10984_HPC-13 : add nammpp parameter ln_listonly, see #2285

comment:55 Changed 7 months ago by smasson

In 11512:

dev_r10984_HPC-13 : merge with trunk@11511, see #2285

comment:56 Changed 7 months ago by smasson

In 11525:

dev_r10984_HPC-13 : merge with trunk@,11524 see #2285

comment:57 Changed 7 months ago by smasson

Results of the sette tests (old version: NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization@11263) performed on CURIE (without the compilation option -xCORE-AVX512 and with nn_sponge_len = 1 in agrif_oce.F90 (see bellow).
The failed tests are exactly the same as NEMO/trunk@11258

/ccc/scratch/cont005/ra0542/massons/rev11530_dev_bdy/sette/../.svn
SETTE validation report : utils @ r10779  ( last change @ r11530 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20190911
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20190911
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20190911
WORCA2_ICE_PISCES_ST         tracer.stat restartability  FAILED :  20190911
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20190911
WAMM12_ST                    run.stat    restartability  passed :  20190911
WORCA2_SAS_ICE_ST            run.stat    restartability  FAILED :  20190911
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20190911
WSPITZ12_ST                  run.stat    restartability  passed :  20190911
WISOMIP_ST                   run.stat    restartability  passed :  20190911
WOVERFLOW_ST                 run.stat    restartability  passed :  20190911
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20190911
WVORTEX_ST                   run.stat    restartability  passed :  20190911
WICE_AGRIF_ST                run.stat    restartability  passed :  20190911

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20190911
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20190911
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20190911
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20190911
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20190911
WAMM12_ST                    run.stat    reproducibility passed :  20190911
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20190911
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20190911
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20190911
WSPITZ12_ST                  run.stat    reproducibility passed :  20190911
WISOMIP_ST                   run.stat    reproducibility passed :  20190911
WVORTEX_ST                   run.stat    reproducibility passed :  20190911
WICE_AGRIF_ST                run.stat    reproducibility passed :  20190911

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  20190911 20190911

with the debug option:
Note that in this case: ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat changed

/ccc/scratch/cont005/ra0542/massons/rev11530_dev_bdy_debug/sette/../.svn
SETTE validation report : utils @ r10779  ( last change @ r11530 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20190911
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20190911
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20190911
WORCA2_ICE_PISCES_ST         tracer.stat restartability  FAILED :  20190911
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20190911
WAMM12_ST                    run.stat    restartability  passed :  20190911
WORCA2_SAS_ICE_ST            run.stat    restartability  FAILED :  20190911
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20190911
WSPITZ12_ST                  run.stat    restartability  passed :  20190911
WISOMIP_ST                   run.stat    restartability  passed :  20190911
WOVERFLOW_ST                 run.stat    restartability  passed :  20190911
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20190911
WVORTEX_ST                   run.stat    restartability  passed :  20190911
WICE_AGRIF_ST                run.stat    restartability  passed :  20190911

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20190911
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20190911
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20190911
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20190911
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20190911
WAMM12_ST                    run.stat    reproducibility passed :  20190911
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20190911
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20190911
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20190911
WSPITZ12_ST                  run.stat    reproducibility passed :  20190911
WISOMIP_ST                   run.stat    reproducibility passed :  20190911
WVORTEX_ST                   run.stat    reproducibility passed :  20190911
WICE_AGRIF_ST                run.stat    reproducibility passed :  20190911

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20190911 20190911

comment:58 Changed 7 months ago by smasson

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:59 Changed 3 months ago by smasson

  • Progress modified (diff)
  • Review changed from pending to passed
Note: See TracTickets for help on using tickets.